/*
 *  Video Lightning - v3.0.6
 *  Turn any element into a lightbox or popover link for Youtube and Vimeo videos.
 *  https://github.com/musocrat/jquery-video-lightning/
 *
 *  Made by Andrew Carpenter @ Musocrat
 *  Published under MIT License
 */
(function(){var a=function(a,b){return function(){return a.apply(b,arguments)}};!function(b){var c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G;return F=b,G=function(a){return function(b){var d,e,f,g,h,i,j,k,l,m,n,p,t,v,w,x,y,z;if(v=function(){console.error("VideoLightning was initialized without elements.")},w=b.elements||b.element,!w)return v();if(y=[],h=[],x=function(a){var b;return u(a)?y.push({el:a,opts:null}):(b=A(a),y.push({el:b,opts:a[b]||null}))},r(w))for(i=0,l=w.length;l>i;i++)f=w[i],x(f);else x(w);for(j=0,m=y.length;m>j;j++)if(g=y[j],e=o(g.el))if(s(e))for(k=0,n=e.length;n>k;k++)d=e[k],h.push({el:d,opts:g.opts});else h.push({el:e,opts:g.opts});if(0===h.length)return v();for(z=b.settings||{},t=0,p=h.length;p>t;t++)g=h[t],g&&a.vlData.instances.push(new c(g,z));q()}}(this),c=function(){function b(b,c){this.elObj=b,this.vmStop=a(this.vmStop,this),this.vmPlay=a(this.vmPlay,this),this.vmListen=a(this.vmListen,this),this.initPlayerVM=a(this.initPlayerVM,this),this.coverYT=a(this.coverYT,this),this.ytState=a(this.ytState,this),this.ytStop=a(this.ytStop,this),this.ytPlay=a(this.ytPlay,this),this.setYTPlayer=a(this.setYTPlayer,this),this.initPlayerYT=a(this.initPlayerYT,this),this.cover=a(this.cover,this),this.hide=a(this.hide,this),this.show=a(this.show,this),this.clear=a(this.clear,this),this.stop=a(this.stop,this),this.play=a(this.play,this),this.peek=a(this.peek,this),this.hovered=a(this.hovered,this),this.clicked=a(this.clicked,this),this.regEvents=a(this.regEvents,this),this.resize=a(this.resize,this),this.popoverPos=a(this.popoverPos,this),this.buildEls=a(this.buildEls,this),this.buildOpts=a(this.buildOpts,this),this.opts=i({},c),this.inst=x(),this.el=this.elObj.el,this.buildOpts(),this.buildEls(),e(this.opts.cover,!1)&&this.cover(),this.regEvents()}return b.prototype.buildOpts=function(){var a,b,c,d,e,f,g,h,j,k,l,m,n,o,p,q;if(o=[["backdrop_color","bdColor"],["backdrop_opacity","bdOpacity"],["ease_in","fadeIn"],["ease_out","fadeOut"],["glow_color","glowColor"],["start_time","startTime"],["z_index","zIndex"],["rick_roll","rickRoll"],["iv_load_policy","ivLoadPolicy"]],i(this.opts,this.elObj.opts),d=this.el.dataset||[],0===d.length)for(n=["id","width","height"],e=0,j=n.length;j>e;e++)g=n[e],q=this.el.getAttribute("data-video-"+g),q&&(d[g]=q);m=function(a){return function(b,c){return a.opts[b.replace(/^video(.)(.*)/,function(a,b,c){return b.toLowerCase()+c})]=c}}(this);for(g in d)q=d[g],m(g,q);for(this.opts.width=this.opts.width?parseInt(this.opts.width,10):640,this.opts.height=this.opts.height?parseInt(this.opts.height,10):390,c=this.opts.height/this.opts.width,this.opts.width>window.innerWidth-90&&(this.opts.width=window.innerWidth-90,this.opts.height=Math.round(c*this.opts.width)),null==(a=this.opts).id&&(a.id="y-dQw4w9WgXcQ"),this.opts.id.match(/^v/)?(this.vendor="vimeo",this.vm=!0):this.opts.id.match(/^f/)?(this.vendor="iframe",this.ifr=!0):(this.vendor="youtube",this.yt=!0),window.vlData[this.vendor]=!0,this.id=this.opts.id.replace(/([vyf]-)/i,""),p=[],f=0,k=o.length;k>f;f++)h=o[f],p.push(null!=(b=this.opts)[l=h[1]]?b[l]:b[l]=this.opts[h[0]]);return p},b.prototype.buildEls=function(){var a,b,c,d,g,i,j,k,l,o;return(this.target=F.createElement("span")).className="video-target",this.el.parentNode.insertBefore(this.target,this.el),this.target.appendChild(this.el),b=f(B(this.opts.bdColor,"#ddd")),c=B(this.opts.bdOpacity,.6),a="background: rgba("+b.r+", "+b.g+", "+b.b+", "+c+");",d="width: "+this.opts.width+"px; height: "+this.opts.height+"px;",i="margin-top: -"+this.opts.height/2+"px; margin-left: -"+this.opts.width/2+"px;",g="box-shadow: 0px 0px "+(k=B(this.opts.glow,20))+"px "+k/5+"px "+n(B(this.opts.glowColor,"#000"))+";",l=e(this.opts.popover,!1)?D(this.opts.width,this.opts.height):C,o="background: "+n(B(this.opts.xBgColor,"#000"))+"; color: "+n(B(this.opts.xColor,"#fff"))+"; border: "+B(this.opts.xBorder,"none")+"; box-sizing: border-box;",j="background: "+n(B(this.opts.frameColor,"#000"))+"; border: "+B(this.opts.frameBorder,"none")+"; box-sizing: border-box;",this.target.insertAdjacentHTML("beforeend",h({tag:"div",attrs:{id:"wrap_"+this.inst,"class":"video-wrapper",style:l+" "+a+" z-index: "+B(this.opts.zIndex,2100)+"; opacity: 0;"},children:[{tag:"div",attrs:{"class":"video-frame",style:m+" "+d+" "+i+" "+g},children:[{tag:"div",attrs:{"class":"video"},children:[{tag:"div",inner:"&times;",attrs:{id:"close_"+this.inst,"class":"video-close",style:"float: right; margin-right: -34px; "+g+" "+o+" padding: 0 10px 0 12px; font-size: 25px;"}},{tag:"iframe",attrs:{type:"text/html",id:"iframe_"+this.inst,"class":"video-iframe",style:"position: absolute; top: 0; left: 0; "+j}}]}]}]})),this.wrapper=F.getElementById("wrap_"+this.inst),this.iframe=F.getElementById("iframe_"+this.inst),this.close=F.getElementById("close_"+this.inst)},b.prototype.popoverPos=function(){var a;return a=p(this.target,this.opts.width,this.opts.height,this.opts.fluidity),this.wrapper.style.left=a.x+"px",this.wrapper.style.top=a.y+"px"},b.prototype.resize=function(){var a;return!window.vlData.throttle&&(this.popoverPos(),this.opts.throttle)?(window.vlData.throttle=!0,a=function(){return window.vlData.throttle=!1},setTimeout(a,this.opts.throttle)):void 0},b.prototype.regEvents=function(){return this.target.style.cursor="pointer",this.target.addEventListener("mouseup",this.clicked,!1),e(this.opts.popover,!1)&&(window.addEventListener("resize",this.resize,!1),window.addEventListener("scroll",this.resize,!1),window.addEventListener("orientationchange",this.resize,!1),this.opts.peek)?(this.target.addEventListener("mouseenter",this.hovered,!1),this.target.addEventListener("mouseleave",this.hovered,!1)):void 0},b.prototype.clicked=function(a){if(this.peeking)return this.peek(!1,!0);if(!(a.buttons&&1!==a.buttons||a.which&&1!==a.which||a.button&&1!==a.button))return this.playing?this.stop():this.play()},b.prototype.hovered=function(a){return"mouseenter"!==a.type||this.playing||this.peek(),"mouseleave"===a.type&&this.playing?this.peek(this.peeking):void 0},b.prototype.peek=function(a,b){return null==a&&(a=!1),null==b&&(b=!1),this.peeking||!this.playing?(this.close.innerHTML=a||b?"&times;":"&#94;",this.peeking=!(a||b),a?this.stop():b?null:this.play()):void 0},b.prototype.play=function(){e(this.opts.popover,!1)&&this.popoverPos(),this.show(),this.ifr?y(this.iframe,{url:encodeURI(this.id),attrs:{width:this.opts.width,height:this.opts.height,frameBorder:0}}):this.ready&&!this.playing&&"about:blank"!==this.iframe.src?(this.yt&&this.ytPlay(),this.vm&&this.vmPlay()):this.playing||(this.vm&&this.initPlayerVM(),this.yt&&this.initPlayerYT()),this.playing=!0,this.clearAfter&&window.clearTimeout(this.clearAfter)},b.prototype.stop=function(a){null==a&&(a=0),e(this.opts.rickRoll,!1)||(this.hide(a),this.ready?(this.yt&&this.ytStop(),this.vm&&this.vmStop()):this.clear(),this.playing=!1,e(this.opts.unload,!0)&&(this.clearAfter=window.setTimeout(this.clear,1e3*(B(this.opts.unloadAfter)||45))))},b.prototype.clear=function(){this.iframe.src="about:blank"},b.prototype.show=function(){k(this.wrapper,B(this.opts.fadeIn,300))},b.prototype.hide=function(a){null==a&&(a=0),l(this.wrapper,B(this.opts.fadeOut,a))},b.prototype.cover=function(){this.yt&&this.coverYT()},b.prototype.initPlayerYT=function(){return y(this.iframe,{url:location.protocol+"//www.youtube.com/embed/"+this.id,params:{enablejsapi:1,autoplay:d(this.opts.autoplay,1),autohide:B(this.opts.autohide,2),cc_load_policy:B(this.opts.ccLoadPolicy,0),color:B(this.opts.color,null),controls:B(this.opts.controls,2),disablekb:B(this.opts.disablekb,0),end:B(this.opts.endTime,null),fs:B(this.opts.fs,1),hl:B(this.opts.hl,"en"),iv_load_policy:B(this.opts.ivLoadPolicy,1),list:B(this.opts.list,null),listType:B(this.opts.listType,null),loop:B(this.opts.loop,0),modestbranding:B(this.opts.modestbranding,0),origin:encodeURIComponent(B(this.opts.origin,location.protocol+"//"+location.host)),playerapiid:this.inst,playlist:B(this.opts.playlist,null),playsinline:B(this.opts.playsinline,0),rel:B(this.opts.rel,0),showinfo:B(this.opts.showinfo,1),start:B(this.opts.startTime,0),theme:B(this.opts.theme,null)},attrs:{width:this.opts.width,height:this.opts.height,frameBorder:0}}),this.iframe.setAttribute("allowFullScreen",""),window.vlData.ytAPIReady?this.setYTPlayer():void 0},b.prototype.setYTPlayer=function(){var a;return a=function(a){return function(){return a.ready=!0}}(this),null!=this.ytPlayer?this.ytPlayer:this.ytPlayer=new YT.Player("iframe_"+this.inst,{events:{onReady:a,onStateChange:this.ytState}})},b.prototype.ytPlay=function(){return this.ytPlayer.playVideo()},b.prototype.ytStop=function(){return E(this.ytPlayer,this.opts.startTime),this.ytPlayer.stopVideo(),this.ytPlayer.clearVideo()},b.prototype.ytState=function(a){return 0===a.data&&e(this.opts.autoclose,!0)?this.stop(B(this.opts.fadeOut,1e3)):void 0},b.prototype.coverYT=function(){this.ytCover=g(this.target,"//img.youtube.com/vi/"+this.id+"/hqdefault.jpg")},b.prototype.initPlayerVM=function(){return y(this.iframe,{url:location.protocol+"//player.vimeo.com/video/"+this.id,params:{autoplay:d(this.opts.autoplay,1),loop:B(this.opts.loop,0),title:B(this.opts.showinfo,1),byline:B(this.opts.byline,1),portrait:B(this.opts.portrait,1),color:w(B(this.opts.color,"#00adef")),api:1,player_id:this.inst},attrs:{width:this.opts.width,height:this.opts.height,frameBorder:0}}),this.iframe.setAttribute("allowFullScreen",""),window.addEventListener("message",this.vmListen,!1),null!=this.vmPlayer?this.vmPlayer:this.vmPlayer=this.iframe},b.prototype.vmListen=function(a){var b;if(b=JSON.parse(a.data),b.player_id===this.inst)switch(b.event){case"ready":this.ready=!0,v(this.vmPlayer,this.id,"addEventListener","finish");break;case"finish":this.stop(1e3)}},b.prototype.vmPlay=function(){v(this.vmPlayer,this.id,"play")},b.prototype.vmStop=function(){v(this.vmPlayer,this.id,"pause")},b}(),B=function(a,b){return a===!1||"false"===a||0===a||"0"===a?a:a||b},d=function(a,b){return a===!1||"false"===a||0===a||"0"===a?0:a===!0||"true"===a||"1"===a||1===a?1:b},e=function(a,b){return a===!1||"false"===a||0===a||"0"===a?!1:!!a||b},h=function(a){var b,c,d,e,f,g,i,j,k;if(b="",d="",a.attrs){i=a.attrs;for(f in i)k=i[f],b+=" "+f+'="'+k+'"'}if(a.children)for(j=a.children,e=0,g=j.length;g>e;e++)c=j[e],d+=t(c)?h(c):c;return"<"+a.tag+b+">"+(a.inner||d)+"</"+a.tag+">"},y=function(a,b){var c,d,e,f,g,h;g=b.url+"?",d=b.params;for(c in d)h=d[c],null!==h&&(g+="&"+c+"="+h);a.src=g.replace(/&/,""),e=b.attrs,f=[];for(c in e)h=e[c],f.push(a[c]=h);return f},i=function(a,b){var c,d;for(c in b)d=b[c],a[c]=d;return a},u=function(a){return"string"==typeof a},r=function(a){return a instanceof Array},s=function(a){return a instanceof HTMLCollection||a instanceof NodeList},t=function(a){return null!==a&&"object"==typeof a},A=function(a){var b,c;for(b in a)return c=a[b],b},o=function(a){var b;return b="#"===a.charAt(0)?F.getElementById(a.substr(1)):F.getElementsByClassName(a.substr(1)),r(b)&&0===b.length?null:b},x=function(){return(Math.random().toString(36).slice(2)+Math.random().toString(36).slice(2)).substring(0,16)},w=function(a){return a=a.replace(/^#/,""),3===a.length?""+a+a:a},n=function(a){return"transparent"===a?a:"#"+w(a)},f=function(a){return{r:parseInt(w(a).substring(0,2),16),g:parseInt(w(a).substring(2,4),16),b:parseInt(w(a).substring(4,6),16)}},C="display: none; position: fixed; min-width: 100%; min-height: 100%; top: 0; right: 0; bottom: 0; left: 0;",D=function(a,b){return"display: none; position: fixed; width: "+a+"px; height: "+b+"px;"},m="position: absolute; top: 50%; left: 50%; background: #000000;",j=function(a,b){return a.style.transition=a.style.mozTransition=a.style.webkitTransition="opacity "+b+"ms ease"},k=function(a,b){var c;return j(a,b),a.style.display="block",c=function(){return a.style.opacity=1},setTimeout(c,20)},l=function(a,b){var c;return j(a,b),a.style.opacity=0,c=function(){return a.style.display="none"},setTimeout(c,b)},q=function(){var a,c,d;F.getElementById("ytScript")||(a=F.getElementsByTagName("script")[0],c=b.createElement("script"),c.innerHTML="function onYouTubeIframeAPIReady() {vlData.ytReady()};",a.parentNode.insertBefore(c,a),d=b.createElement("script"),d.id="ytScript",d.async=!0,d.src=location.protocol+"//www.youtube.com/iframe_api",c.parentNode.insertBefore(d,c.nextSibling))},E=function(a,b){null==b&&(b=0),a.getDuration()-3<a.getCurrentTime()&&(a.pauseVideo(),a.seekTo(b,!1))},v=function(a,b,c,d){var e;return null==d&&(d=null),e=d?{method:c,value:d}:{method:c},a.contentWindow.postMessage(JSON.stringify(e),location.protocol+"//player.vimeo.com/video/"+b)},g=function(a,b){var c;return c=F.createElement("img"),c.className="video-cover",c.src=b,a.appendChild(c),c},z=function(){var a;return(a=b.getElementById("vl-size-test"))||(a=b.createElement("div"),a.id="vl-size-test",a.style.cssText="position:fixed;top:0;left:0;bottom:0;right:0;visibility:hidden;",b.body.appendChild(a)),{width:a.offsetWidth,height:a.offsetHeight}},p=function(a,b,c,d){var e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u;for(null==d&&(d=30),g=a.getBoundingClientRect(),f={x:(k=z().width)/2,y:(j=z().height)/2},e={x:b/2,y:c/2},l=[],t=h=m=g.left,n=g.right+b,o=d;o>0?n>=h:h>=n;t=h+=o)l.push([t-b,g.top-c]),l.push([t-b,g.bottom]);for(u=i=p=g.top,q=g.bottom+c,r=d;r>0?q>=i:i>=q;u=i+=r)l.push([g.left-b,u-c]),l.push([g.right,u-c]);return s=function(a,d){var g,h,i,l,m,n,o,p;for(p=[[a,n={}],[d,o={}]],l=0,m=p.length;m>l;l++)g=p[l],t=g[0][0],u=g[0][1],g[1].diffx=(h=t+e.x)>f.x?h-f.x:f.x-h,g[1].diffy=(i=u+e.y)>f.y?i-f.y:f.y-i,g[1].diff=g[1].diffx+g[1].diffy,(0>t||t+b>k)&&(g[1].diff+=1e4),(0>u||u+c>j)&&(g[1].diff+=1e4);return n.diff-o.diff},l.sort(s),{x:parseInt((t=l[0][0])<0||t+b>k?f.x-e.x:t,10),y:parseInt((u=l[0][1])<0||u+c>j?f.y-e.y:u,10)}},this.videoLightning=G,this.vlData={},this.vlData.instances=[],this.vlData.ytReady=function(a){return function(){return a.vlData.ytAPIReady=!0}}(this),this.vlData.youtube=this.vlData.vimeo=!1,"undefined"!=typeof $?$.fn.jqueryVideoLightning=function(a){return this.each(function(){var b;$.data(this,"plugin_jqueryVideoLightning")||(b=new c({el:this,opts:a}),vlData.instances.push(b),$.data(this,"plugin_jqueryVideoLightning",b))}),q()}:void 0}(document)}).call(this);